Skip to main content
GET
/
projects
/
{project_name}
/
tables
GET /projects/{project_name}/tables
curl --request GET \
  --url https://api.cloudsquid.io/api/projects/{project_name}/tables \
  --header 'X-API-Key: <api-key>'
[
  {
    "name": "<string>",
    "type": "Extraction",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "active_pipeline": "cloudsquid-flash"
  }
]

Authorizations

X-API-Key
string
header
required

Path Parameters

project_name
string
required

the name of the project

Response

Successfully retrieved tables

name
string
required

name of the table

type
enum<string>
required

the type of the table

Available options:
Extraction,
Reconcile,
Storage
id
string<uuid>

id of the table

created_at
string<date-time>

time the table was created

created_by
string

user who created the table

active_pipeline
enum<string>
Available options:
cloudsquid-flash,
cloudsquid-flash-v3,
cloudsquid-pro-v2,
cloudsquid-pro-v3